SubApplicationEntity (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records.timelineservice, class: SubApplicationEntity

Package org.apache.hadoop.yarn.api.records.timelineservice

# Class SubApplicationEntity

java.lang.Object
org.apache.hadoop.yarn.api.records.timelineservice.TimelineEntity
org.apache.hadoop.yarn.api.records.timelineservice.HierarchicalTimelineEntity
org.apache.hadoop.yarn.api.records.timelineservice.SubApplicationEntity

All Implemented Interfaces:
  `Comparable<TimelineEntity>`

@Public @Unstable public class SubApplicationEntity extends HierarchicalTimelineEntity
This entity represents a user defined entities to be stored under sub application table.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.yarn.api.records.timelineservice.TimelineEntity

  `TimelineEntity.Identifier`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `YARN_APPLICATION_ID`

  ### Fields inherited from class org.apache.hadoop.yarn.api.records.timelineservice.HierarchicalTimelineEntity

  `CHILDREN_INFO_KEY, PARENT_INFO_KEY`

  ### Fields inherited from class org.apache.hadoop.yarn.api.records.timelineservice.TimelineEntity

  `DEFAULT_ENTITY_PREFIX, SYSTEM_INFO_KEY_PREFIX`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SubApplicationEntity(TimelineEntity entity)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `isSubApplicationEntity(TimelineEntity te)`
  Checks if the input TimelineEntity object is an SubApplicationEntity.
  `void`
  `setApplicationId(String appId)`

  ### Methods inherited from class org.apache.hadoop.yarn.api.records.timelineservice.HierarchicalTimelineEntity

  `addChild, addChild, addChildren, getChildren, getParent, setChildren, setParent, setParent`

  ### Methods inherited from class org.apache.hadoop.yarn.api.records.timelineservice.TimelineEntity

  `addConfig, addConfigs, addEvent, addEvents, addInfo, addInfo, addIsRelatedToEntities, addIsRelatedToEntity, addMetric, addMetrics, addRelatesToEntities, addRelatesToEntity, compareTo, equals, getConfigs, getConfigsJAXB, getCreatedTime, getEvents, getId, getIdentifier, getIdPrefix, getInfo, getInfoJAXB, getIsRelatedToEntities, getIsRelatedToEntitiesJAXB, getMetrics, getReal, getRelatesToEntities, getRelatesToEntitiesJAXB, getType, hashCode, isValid, setConfigs, setCreatedTime, setEvents, setId, setIdentifier, setIdPrefix, setInfo, setIsRelatedToEntities, setMetrics, setRelatesToEntities, setType, setUID, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### YARN_APPLICATION_ID

    public static final String YARN_APPLICATION_ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SubApplicationEntity

    public SubApplicationEntity(TimelineEntity entity)

- ## Method Details

  - ### isSubApplicationEntity

    public static boolean isSubApplicationEntity(TimelineEntity te)
    Checks if the input TimelineEntity object is an SubApplicationEntity.
    Parameters:
      `te` - TimelineEntity object.
    Returns:
      true if input is an SubApplicationEntity, false otherwise

  - ### setApplicationId

    public void setApplicationId(String appId)